<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     * 增加一个字段 owned_appearances 用于记录拥有的主题
     *
     * @return void
     */
    public function up()
    {
        Schema::table('dist_admin_distributor', function (Blueprint $table) {
            $table->string('owned_appearances', length: 500)->comment('拥有的主题');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
};
